Binary files asterisk18-1.8.5.0-digium/main/.http.c.swp and asterisk18-1.8.5.0/main/.http.c.swp differ
Binary files asterisk18-1.8.5.0-digium/main/.manager.c.swp and asterisk18-1.8.5.0/main/.manager.c.swp differ
Binary files asterisk18-1.8.5.0-digium/main/asterisk and asterisk18-1.8.5.0/main/asterisk differ
Binary files asterisk18-1.8.5.0-digium/main/db1-ast/libdb1.a and asterisk18-1.8.5.0/main/db1-ast/libdb1.a differ
diff -x version.c -x '*.d' -x '*.o' -x '*.exports' -x editline -x Makefile -Nru asterisk18-1.8.5.0-digium/main/manager.c asterisk18-1.8.5.0/main/manager.c
--- asterisk18-1.8.5.0-digium/main/manager.c	2011-06-17 20:51:16.000000000 +0200
+++ asterisk18-1.8.5.0/main/manager.c	2011-07-15 18:15:05.000000000 +0200
@@ -5474,7 +5474,7 @@
 	}
 }
 
-static void process_output(struct mansession *s, struct ast_str *out, struct ast_variable *params, enum output_format format)
+static void process_output(struct mansession *s, struct ast_str **out, struct ast_variable *params, enum output_format format)
 {
 	char *buf;
 	size_t l;
@@ -5491,14 +5491,14 @@
 			ast_log(LOG_WARNING, "mmap failed.  Manager output was not processed\n");
 		} else {
 			if (format == FORMAT_XML || format == FORMAT_HTML) {
-				xml_translate(&out, buf, params, format);
+				xml_translate(out, buf, params, format);
 			} else {
-				ast_str_append(&out, 0, "%s", buf);
+				ast_str_append(out, 0, "%s", buf);
 			}
 			munmap(buf, l);
 		}
 	} else if (format == FORMAT_XML || format == FORMAT_HTML) {
-		xml_translate(&out, "", params, format);
+		xml_translate(out, "", params, format);
 	}
 
 	fclose(s->f);
@@ -5656,7 +5656,7 @@
 		ast_str_append(&out, 0, ROW_FMT, TEST_STRING);
 	}
 
-	process_output(&s, out, params, format);
+	process_output(&s, &out, params, format);
 
 	if (format == FORMAT_XML) {
 		ast_str_append(&out, 0, "</ajax-response>\n");
@@ -5968,7 +5968,7 @@
 		"<input type=\"submit\" value=\"Send request\" /></th></tr>\r\n");
 	}
 
-	process_output(&s, out, params, format);
+	process_output(&s, &out, params, format);
 
 	if (format == FORMAT_XML) {
 		ast_str_append(&out, 0, "</ajax-response>\n");
